summaryrefslogtreecommitdiff
path: root/time/yearistype
diff options
context:
space:
mode:
Diffstat (limited to 'time/yearistype')
-rwxr-xr-xtime/yearistype26
1 files changed, 26 insertions, 0 deletions
diff --git a/time/yearistype b/time/yearistype
new file mode 100755
index 0000000000..c7a886c25b
--- /dev/null
+++ b/time/yearistype
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+: '@(#)yearistype.sh 7.3'
+
+case $#-$2 in
+ 2-even) case $1 in
+ *[24680]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-nonpres) case $1 in
+ *[02468][048]|*[13567][26]) exit 1 ;;
+ *) exit 0 ;;
+ esac ;;
+ 2-odd) case $1 in
+ *[13579]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-uspres) case $1 in
+ *[02468][048]|*[13567][26]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-*) echo "$0: wild type - $2" >&2
+ exit 1 ;;
+ *) echo "$0: usage is $0 year type" >&2
+ exit 1 ;;
+esac